bin_PROGRAMS = checkregularity

checkregularity_SOURCES = checkregularity.cc

LDADD           = $(top_builddir)/lib-src-reg/libCHECKREG.la \
                  $(top_builddir)/lib-src/libTOPCOM.la

if USE_LOCAL_CDD
LDADD          += $(top_builddir)/external/lib/libcddgmp.la
else
# LIBS           += -lcddgmp # set by configure script
endif

if USE_QSOPTEX
if USE_LOCAL_QSO
LDADD          += $(top_builddir)/external/lib/libqsopt_ex.la
else
endif
endif

if USE_SOPLEX
endif

if USE_LOCAL_GMP
LDADD          += $(top_builddir)/external/lib/libgmpxx.la \
                  $(top_builddir)/external/lib/libgmp.la
else
endif

AM_CPPFLAGS    += -I$(top_srcdir)/lib-src
AM_CPPFLAGS    += -I$(top_srcdir)/lib-src-reg
AM_CPPFLAGS    += -I$(top_srcdir)/wrap-gmp-gmpxx
AM_CPPFLAGS    += -I$(top_builddir)/external/include
AM_CPPFLAGS    += -I$(includedir)

AM_CXXFLAGS    += -ftemplate-depth=100

